from enum import Enum


class MYHOME_REGIONS(Enum):
    ALL = 2168
    CARLOW = 1080
    CAVAN = 887
    CLARE = 618
    CORK = 737
    CORK_CITY = 769
    EAST_CORK = 7951
    WEST_CORK = 4243
    DONEGAL = 1464
    DUBLIN = 1265
    DUBLIN_1 = 1441
    DUBLIN_2 = 1442
    DUBLIN_3 = 1443
    DUBLIN_4 = 1444
    DUBLIN_5 = 1445
    DUBLIN_6 = 1446
    DUBLIN_6W = 1447
    DUBLIN_7 = 1448
    DUBLIN_8 = 1449
    DUBLIN_9 = 1450
    DUBLIN_10 = 1451
    DUBLIN_11 = 1452
    DUBLIN_12 = 1453
    DUBLIN_13 = 1454
    DUBLIN_14 = 1455
    DUBLIN_15 = 1456
    DUBLIN_16 = 1457
    DUBLIN_17 = 1458
    DUBLIN_18 = 1459
    DUBLIN_20 = 1460
    DUBLIN_22 = 1461
    DUBLIN_24 = 1462
    DUBLIN_NORTH = 1365
    DUBLIN_SOUTH = 1406
    DUBLIN_COUNTY = 1463
    NORTH_COUNTY_DUB = 4610
    SOUTH_COUNTY_DUB = 4611
    DUBLIN_WEST = 1430
    GALWAY = 2013
    GALWAY_CITY = 2035
    KERRY = 2448
    KILDARE = 2362
    KILKENNY = 2414
    LAOIS = 2670
    LEITRIM = 2648
    LIMERICK = 2594
    LIMERICK_CITY = 4155
    LONGFORD = 2515
    LOUTH = 2535
    MAYO = 2781
    MEATH = 2712
    MONAGHAN = 2771
    OFFALY = 2888
    ROSCOMMON = 3091
    SLIGO = 3254
    TIPPERARY = 3587
    WATERFORD = 3944
    WESTMEATH = 3969
    WEXFORD = 4054
    WICKLOW = 4011


# myhome property types, just don't include if no filter wanted
class MYHOME_PROPERTY_TYPES(Enum):
    APARTMENTS = 36
    ALL_HOUSES = 97
    TERRACED = 37
    SEMI_DETATCHED = 38
    DETATCHED = 39
    BUNGALOW = 40
    HOLIDAY_HOME = 41
    COUNTRY_HOUSE = 42
    END_TERRACE = 45
    COTTAGE = 46
    DUPLEX = 47
    TOWNHOUSE = 48
    PENTHOUSE = 49
    STUDIO = 50
    DORMER = 51
    LIVE_WORK_UNIT = 52
    PERIOD_HOUSES = 53
    MEWS = 54
    SITE = 44
    INVESTMENT = 101
    FARM = 43


PROPERTY_IE_SUB_AREAS_MAP = {
    "antrim": [
        "Ballycastle",
        "Ballyclare",
        "Ballymena",
        "Ballymoney",
        "Belfast City Centre",
        "Carrickfergus",
        "Larne",
        "Lisburn",
        "Newtownabbey",
    ],
    "armagh": ["Armagh", "Craigavon", "Mullaghbawn", "Portadown"],
    "carlow": [
        "Bagenalstown",
        "Ballon",
        "Ballymurphy",
        "Borris",
        "Bunclody",
        "Carlow Town",
        "Clonegal",
        "Clonmore",
        "Fenagh",
        "Garryhill",
        "Graiguecullen",
        "Graiguenamanagh",
        "Hacketstown",
        "Kildavin",
        "Killeshin",
        "Leighlinbridge",
        "Myshall",
        "Nurney",
        "Oldleighlin",
        "Palatine",
        "Rathoe",
        "Rathvilly",
        "Tinryland",
        "Tullow",
    ],
    "cavan": [
        "Ardlougher",
        "Arva",
        "Bailieborough",
        "Ballinagh",
        "Ballyconnell",
        "Ballyhaise",
        "Ballyheelan",
        "Ballyjamesduff",
        "Bawnboy",
        "Belturbet",
        "Blacklion",
        "Butler's Bridge",
        "Carrickaboy",
        "Carrigan",
        "Cavan",
        "Cloverhill",
        "Cootehill",
        "Corlough",
        "Cross Keys",
        "Crosserlough",
        "Doogary",
        "Dowra",
        "Drumalee",
        "Kilcogy",
        "Killeshandra",
        "Killinkere",
        "Kilnaleck",
        "Kingscourt",
        "Lough Gowna",
        "Loughduff",
        "Milltown",
        "Mountnugent",
        "Mullagh",
        "Oldcastle",
        "Redhills",
        "Shercock",
        "Stradone",
        "Swanlinbar",
        "Virginia",
    ],
    "clare": [
        "Ardnacrusha",
        "Ballynacally",
        "Ballyvaughan",
        "Barefield",
        "Bodyke",
        "Broadford",
        "Bunratty",
        "Caher",
        "Caherea",
        "Carrigaholt",
        "Clarecastle",
        "Clonlara",
        "Connolly",
        "Cooraclare",
        "Corofin",
        "Cratloe",
        "Cree",
        "Cross",
        "Crusheen",
        "Doolin",
        "Doonbeg",
        "Ennis",
        "Ennistymon",
        "Fanore",
        "Feakle",
        "Flagmount",
        "Kilbaha",
        "Kildysart",
        "Kilfenora",
        "Kilkee",
        "Kilkishen",
        "Killadysert",
        "Killaloe",
        "Killimer",
        "Killinaboy",
        "Kilmaley",
        "Kilmihil",
        "Kilmore",
        "Kilmurry",
        "Kilmurry Mcmahon",
        "Kilnamona",
        "Kilrush",
        "Kilshanny",
        "Knockalough",
        "Lahinch",
        "Liscannor",
        "Lisdoonvarna",
        "Lissycasey",
        "Meelick",
        "Miltown Malbay",
        "Mountshannon",
        "Moyasta",
        "Mullagh",
        "New Quay",
        "Newmarket on Fergus",
        "O'Briensbridge",
        "O'Callaghans Mills",
        "Oatfield",
        "Ogonnelloe",
        "Parteen",
        "Querrin",
        "Quilty",
        "Quin",
        "Ruan",
        "Scarriff",
        "Shannon",
        "Shannonbanks",
        "Sixmilebridge",
        "Spanish Point",
        "Tuamgraney",
        "Tubber",
        "Tulla",
        "Westbury",
        "Whitegate",
    ],
    "cork": [
        "Adrigole",
        "Aghabullogue",
        "Aghada",
        "Ahakista",
        "Aherla",
        "Allihies",
        "Ardfield",
        "Ashton",
        "Ballincollig",
        "Ballineen",
        "Ballingeary",
        "Ballinhassig",
        "Ballinlough",
        "Ballinspittle",
        "Ballintemple",
        "Ballyclough",
        "Ballycotton",
        "Ballydehob",
        "Ballydesmond",
        "Ballyhooly",
        "Ballylickey",
        "Ballymacoda",
        "Ballymakeera",
        "Ballynoe",
        "Ballyphehane",
        "Ballyvolane",
        "Baltimore",
        "Bandon",
        "Banduff",
        "Banteer",
        "Bantry",
        "Barley Cove",
        "Bartlemy",
        "Beara",
        "Belgooly",
        "Berrings",
        "Bishopstown",
        "Blackpool",
        "Blackrock",
        "Blarney",
        "Boherbue",
        "Burnfort",
        "Buttevant",
        "Bweeng",
        "Caheragh",
        "Cahermore",
        "Carrigadrohid",
        "Carrigaline",
        "Carrignavar",
        "Carrigrohane",
        "Carrigtwohill",
        "Castlecor",
        "Castlelyons",
        "Castlemagner",
        "Castlemartyr",
        "Castletownbere",
        "Castletownroche",
        "Castletownshend",
        "Charleville",
        "Churchfield",
        "Churchtown",
        "Clogheen",
        "Cloghroe",
        "Clonakilty",
        "Cloughduv",
        "Cloyne",
        "Coachford",
        "Cobh",
        "Conna",
        "Coolkelure",
        "Cork City",
        "Cork City Centre",
        "Courtmacsherry",
        "Crookhaven",
        "Crookstown",
        "Crosshaven",
        "Cullen",
        "Currabinny",
        "Curraglass",
        "Curraheen",
        "Dernagree",
        "Dillons Cross",
        "Doneraile",
        "Donnybrook",
        "Donoughmore",
        "Douglas",
        "Drimoleague",
        "Drinagh",
        "Dripsey",
        "Dromahane",
        "Dromina",
        "Dublin Hill",
        "Dublin Pike",
        "Dungourney",
        "Dunmanway",
        "Durrus",
        "Enniskeane",
        "Eyeries",
        "Fairhill",
        "Farnanes",
        "Farran",
        "Farranree",
        "Fermoy",
        "Fivemilebridge",
        "Fountainstown",
        "Frankfield",
        "Freemount",
        "Garrettstown",
        "Garryvoe",
        "Glandore",
        "Glanmire",
        "Glantane",
        "Glanworth",
        "Glasheen",
        "Glengarriff",
        "Glenville",
        "Glounthaune",
        "Goleen",
        "Grange",
        "Grenagh",
        "Gurranabraher",
        "Heir Island",
        "Hollyhill",
        "Inchigeelagh",
        "Inniscarra",
        "Innishannon",
        "Kanturk",
        "Kealkill",
        "Kerry Pike",
        "Kilbrin",
        "Kilbrittain",
        "Kilcrohane",
        "Kildinan",
        "Kildorrery",
        "Killavullen",
        "Killeagh",
        "Killeens",
        "Kilmichael",
        "Kilworth",
        "Kinsale",
        "Kishkeam",
        "Knocknagree",
        "Knockraha",
        "Ladysbridge",
        "Leamlara",
        "Leap",
        "Lehenaghmore",
        "Liscarroll",
        "Lisgoold",
        "Lissarda",
        "Little Island",
        "Lombardstown",
        "Macroom",
        "Mahon",
        "Mallow",
        "Mayfield",
        "Meelin",
        "Midleton",
        "Millstreet",
        "Mitchelstown",
        "Model Farm Road",
        "Mogeely",
        "Monkstown",
        "Montenotte",
        "Myrtleville",
        "Newcestown",
        "Newmarket",
        "Newtownshandrum",
        "Ovens",
        "Passage West",
        "Pouladuff",
        "Raheen",
        "Rathcool",
        "Rathcormac",
        "Rathmore",
        "Reanascreena",
        "Ringaskiddy",
        "Riverstick",
        "Rochestown",
        "Rockchapel",
        "Rosscarbery",
        "Rossmore",
        "Rostellan",
        "Rylane",
        "Saleen",
        "Schull",
        "Shanagarry",
        "Shanakiel",
        "Shanbally",
        "Shanballymore",
        "Sherkin Island",
        "Silversprings",
        "Skibbereen",
        "St. Lukes",
        "Sunday's Well",
        "Teerelton",
        "The Lough",
        "Timoleague",
        "Tivoli",
        "Togher",
        "Tower",
        "Tragumna",
        "Turners Cross",
        "Union Hall",
        "Vicarstown",
        "Victoria Cross",
        "Waterfall",
        "Watergrasshill",
        "Western Road",
        "White's Cross",
        "Whitechurch",
        "Whitegate",
        "Wilton",
        "Youghal",
    ],
    "derry": ["Culmore"],
    "donegal": [
        "Annagry",
        "Ardara",
        "Arranmore",
        "Ballindrait",
        "Ballintra",
        "Ballybofey",
        "Ballyheerin",
        "Ballyliffin",
        "Ballyshannon",
        "Barnesmore",
        "Bridgetown",
        "Brinlack",
        "Bruckless",
        "Bunbeg",
        "Buncrana",
        "Bundoran",
        "Burnfoot",
        "Burt",
        "Burtonport",
        "Carnaghan",
        "Carndonagh",
        "Carrick",
        "Carrigans",
        "Carrigart",
        "Castlefin",
        "Churchill",
        "Cloghan",
        "Clonmany",
        "Convoy",
        "Cranford",
        "Creeslough",
        "Cross Roads",
        "Culdaff",
        "Derrybeg",
        "Donegal Town",
        "Doochary",
        "Downings",
        "Drumkeen",
        "Dunfanaghy",
        "Dungloe",
        "Dunkineely",
        "Fahan",
        "Falcarragh",
        "Fanad",
        "Frosses",
        "Glen",
        "Glencolmcille",
        "Gleneely",
        "Glenties",
        "Gortahork",
        "Greencastle",
        "Gweedore",
        "Inch",
        "Inver",
        "Kerrykeel",
        "Kilcar",
        "Killybegs",
        "Killygordon",
        "Kilmacrenan",
        "Kincasslagh",
        "Laghy",
        "Letterbarra",
        "Letterkenny",
        "Lettermacaward",
        "Lifford",
        "Loughanure",
        "Maghery",
        "Malin",
        "Manorcunningham",
        "Meenaneary",
        "Milford",
        "Mountcharles",
        "Moville",
        "Muff",
        "Newtown Cunningham",
        "Pettigo",
        "Portnablagh",
        "Portnoo",
        "Portsalon",
        "Quigley's Point",
        "Ramelton",
        "Raphoe",
        "Rathmullan",
        "Redcastle",
        "Rossbeg",
        "Rossnowlagh",
        "St. Johnston",
        "Stranorlar",
        "Teelin",
        "Termon",
    ],
    "down": [
        "Bangor",
        "Downpatrick",
        "Killyleagh",
        "Newry",
        "Newtownards",
        "Portaferry",
    ],
    "dublin": [
        "Adamstown",
        "Arbour Hill",
        "Artane",
        "Ashtown",
        "Aylesbury",
        "Ayrfield",
        "Balbriggan",
        "Baldoyle",
        "Balgriffin",
        "Ballinteer",
        "Ballsbridge",
        "Ballyboden",
        "Ballybough",
        "Ballyboughal",
        "Ballybrack",
        "Ballycullen",
        "Ballyfermot",
        "Ballymount",
        "Ballymun",
        "Balrothery",
        "Beaumont",
        "Belmayne",
        "Blackrock",
        "Blanchardstown",
        "Bluebell",
        "Booterstown",
        "Bray",
        "Cabinteely",
        "Cabra",
        "Carpenterstown",
        "Carrickmines",
        "Castleknock",
        "Chapelizod",
        "Cherry Orchard",
        "Cherrywood",
        "Christchurch",
        "Churchtown",
        "Citywest",
        "Clarehall",
        "Clondalkin",
        "Clonee",
        "Clongriffin",
        "Clonshaugh",
        "Clonsilla",
        "Clonskeagh",
        "Clontarf",
        "Coolmine",
        "Coolock",
        "Cornelscourt",
        "Crumlin",
        "Dalkey",
        "Darndale",
        "Dartry",
        "Deansgrange",
        "Dolphin's Barn",
        "Donabate",
        "Donaghmede",
        "Donnybrook",
        "Donnycarney",
        "Drimnagh",
        "Drumcondra",
        "Dublin 1",
        "Dublin 11",
        "Dublin 12",
        "Dublin 13",
        "Dublin 14",
        "Dublin 15",
        "Dublin 16",
        "Dublin 17",
        "Dublin 18",
        "Dublin 2",
        "Dublin 20",
        "Dublin 22",
        "Dublin 24",
        "Dublin 3",
        "Dublin 4",
        "Dublin 5",
        "Dublin 6",
        "Dublin 6W",
        "Dublin 7",
        "Dublin 8",
        "Dublin 9",
        "Dublin City Centre",
        "Dun Laoghaire",
        "Dundrum",
        "East Wall",
        "Fairview",
        "Finglas",
        "Firhouse",
        "Foxrock",
        "Garristown",
        "Glasnevin",
        "Glasthule",
        "Glenageary",
        "Glenasmole",
        "Glencullen",
        "Goatstown",
        "Grand Canal Dock",
        "Greenhills",
        "Harold's Cross",
        "Hartstown",
        "Hollystown",
        "Howth",
        "Huntstown",
        "IFSC",
        "Inchicore",
        "Irishtown",
        "Islandbridge",
        "Kilbarrack",
        "Killakee",
        "Killester",
        "Killiney",
        "Kilmainham",
        "Kilmore",
        "Kilnamanagh",
        "Kilternan",
        "Kiltipper",
        "Kimmage",
        "Kingswood",
        "Kinsealy",
        "Knocklyon",
        "Leopardstown",
        "Loughlinstown",
        "Loughshinny",
        "Lucan",
        "Lusk",
        "Malahide",
        "Marino",
        "Merrion",
        "Milltown",
        "Monkstown",
        "Mount Merrion",
        "Mulhuddart",
        "Naul",
        "Navan Road (D7)",
        "Newcastle",
        "North Circular Road",
        "North Strand",
        "North Wall",
        "Northern Cross",
        "Oldtown",
        "Ongar",
        "Palmerstown",
        "Park West",
        "Perrystown",
        "Phibsborough",
        "Poppintree",
        "Porterstown",
        "Portmarnock",
        "Portobello",
        "Portrane",
        "Priorswood",
        "Raheny",
        "Ranelagh",
        "Rathcoole",
        "Rathfarnham",
        "Rathgar",
        "Rathmichael",
        "Rathmines",
        "Rialto",
        "Ringsend",
        "Rolestown",
        "Royal Canal Park",
        "Rush",
        "Saggart",
        "Sallynoggin",
        "Sandycove",
        "Sandyford",
        "Sandymount",
        "Santry",
        "Shankill",
        "Skerries",
        "Smithfield",
        "South Circular Road",
        "St Margaret's",
        "Stepaside",
        "Stillorgan",
        "Stoneybatter",
        "Sutton",
        "Swords",
        "Tallaght",
        "Temple Bar",
        "Templeogue",
        "Terenure",
        "The Ward",
        "Tyrrelstown",
        "Walkinstown",
        "Whitehall",
        "Windy Arbour",
    ],
    "fermanagh": [
        "Belcoo",
        "Derrygonnelly",
        "Derrylin",
        "Enniskillen",
        "Kesh",
        "Lisnaskea",
        "Newtownbutler",
        "Tempo",
    ],
    "galway": [
        "Abbeyknockmoy",
        "Ahascragh",
        "Annaghdown",
        "Aran Islands",
        "Ardrahan",
        "Athenry",
        "Ballinasloe",
        "Ballinderreen",
        "Ballybane",
        "Ballybrit",
        "Ballyconneely",
        "Ballygar",
        "Ballyglunin",
        "Ballymoe",
        "Ballynahown",
        "Banagher",
        "Barna",
        "Bealdangan",
        "Belclare",
        "Bohermore",
        "Boleybeg",
        "Bushy Park",
        "Caherlistrane",
        "Caltra",
        "Cappagh",
        "Carna",
        "Carnmore",
        "Carraroe",
        "Cashel",
        "Casla",
        "Castleblakeney",
        "Castlegar",
        "Claddagh",
        "Claddaghduff",
        "Claregalway",
        "Clarinbridge",
        "Cleggan",
        "Clifden",
        "Clonbern",
        "Clonbur",
        "Cloonboo",
        "Cloonminda",
        "Clybaun",
        "Colmanstown",
        "Connemara",
        "Corcullen",
        "Corofin",
        "Corrandulla",
        "Craughwell",
        "Creggs",
        "Cregmore",
        "Dangan",
        "Doughiska",
        "Dunmore",
        "Esker",
        "Eyrecourt",
        "Furbo",
        "Galway City",
        "Galway City Centre",
        "Glenamaddy",
        "Glinsk",
        "Gort",
        "Gurteen",
        "Headford",
        "Headford Road",
        "Inverin",
        "Kilchreest",
        "Kilcolgan",
        "Kilconly",
        "Kilconnel",
        "Kilkerrin",
        "Kilkieran",
        "Killimor",
        "Kiltormer",
        "Kinvara",
        "Knocknacarra",
        "Kylebrack",
        "Lackagh",
        "Lavally",
        "Leenane",
        "Letteragh",
        "Lettercallow",
        "Letterfrack",
        "Lettermore",
        "Loughrea",
        "Maam Cross",
        "Maum",
        "Menlo",
        "Menlough",
        "Merlin",
        "Merlin Park",
        "Mervue",
        "Milltown",
        "Monivea",
        "Mountbellew",
        "Moyard",
        "Moycullen",
        "Moylough",
        "Murroogh",
        "New Inn",
        "Newbridge",
        "Newcastle",
        "Oghil",
        "Oranmore",
        "Oughterard",
        "Ower",
        "Peterswell",
        "Portumna",
        "Rahoon",
        "Recess",
        "Renmore",
        "Renvyle",
        "Roscam",
        "Rosmuc",
        "Rossaveel",
        "Rosscahill",
        "Roundstone",
        "Salthill",
        "Shantalla",
        "Shrule",
        "Spiddal",
        "Taylor's Hill",
        "Tonabrocky",
        "Tuam",
        "Tuam Road",
        "Tubber",
        "Turloughmore",
        "Wellpark",
        "Williamstown",
        "Woodford",
    ],
    "kerry": [
        "Abbeydorney",
        "Abbeyfeale",
        "Anascaul",
        "Ardfert",
        "Astee",
        "Ballinskelligs",
        "Ballybunion",
        "Ballydavid",
        "Ballydesmond",
        "Ballyduff",
        "Ballyferriter",
        "Ballyhar",
        "Ballyheigue",
        "Ballylongford",
        "Banna",
        "Barraduff",
        "Beara",
        "Beaufort",
        "Brosna",
        "Caherdaniel",
        "Cahersiveen",
        "Camp",
        "Caragh Lake",
        "Castlecove",
        "Castlegregory",
        "Castleisland",
        "Castlemaine",
        "Cromane",
        "Currans",
        "Currow",
        "Derrynane",
        "Dingle",
        "Duagh",
        "Farranfore",
        "Firies",
        "Glenbeigh",
        "Glencar",
        "Gneevguilla",
        "Inch",
        "Kells",
        "Kenmare",
        "Kilcummin",
        "Kilflynn",
        "Kilgarvan",
        "Killarney",
        "Killorglin",
        "Knocknagoshel",
        "Lauragh",
        "Lispole",
        "Lisselton",
        "Listowel",
        "Lixnaw",
        "Lycracrumpane",
        "Milltown",
        "Moyvane",
        "Muckross",
        "Portmagee",
        "Rathmore",
        "Scartaglin",
        "Sneem",
        "Tahilla",
        "Tarbert",
        "Tralee",
        "Valentia Island",
        "Ventry",
        "Waterville",
    ],
    "kildare": [
        "Allenwood",
        "Athgarvan",
        "Athy",
        "Ballitore",
        "Ballymore Eustace",
        "Broadford",
        "Carbury",
        "Carragh",
        "Castledermot",
        "Celbridge",
        "Clane",
        "Coill Dubh",
        "Derrinturn",
        "Donadea",
        "Edenderry",
        "Johnstown",
        "Kilcloon",
        "Kilcock",
        "Kilcullen",
        "Kildangan",
        "Kildare",
        "Kilkea",
        "Kill",
        "Kilmead",
        "Kilmeage",
        "Kilteel",
        "Lackagh",
        "Leixlip",
        "Maynooth",
        "Milltown",
        "Monasterevin",
        "Moone",
        "Naas",
        "Narraghmore",
        "Newbridge",
        "Nurney",
        "Prosperous",
        "Rathangan",
        "Robertstown",
        "Sallins",
        "Straffan",
        "Suncroft",
        "The Curragh",
        "Timolin",
    ],
    "kilkenny": [
        "Ballyfoyle",
        "Ballyragget",
        "Bennettsbridge",
        "Callan",
        "Castlecomer",
        "Clara",
        "Coon",
        "Cuffesgrange",
        "Danesfort",
        "Dunnamaggan",
        "Ferrybank",
        "Fiddown",
        "Flagmount",
        "Freshford",
        "Galmoy",
        "Glenmore",
        "Goresbridge",
        "Gowran",
        "Graiguenamanagh",
        "Grange",
        "Hugginstown",
        "Inistioge",
        "Jenkinstown",
        "Johnstown",
        "Kilkenny",
        "Kilmacow",
        "Kilmanagh",
        "Kilmoganny",
        "Knocktopher",
        "Maddockstown",
        "Mooncoin",
        "Mullinavat",
        "Owning",
        "Paulstown",
        "Piltown",
        "Railyard",
        "Rathmoyle",
        "Slieverue",
        "Stoneyford",
        "The Rower",
        "Thomastown",
        "Three Castles",
        "Tullaroan",
        "Tullogher",
        "Urlingford",
        "Waterford",
        "Windgap",
    ],
    "laois": [
        "Abbeyleix",
        "Athy",
        "Ballacolla",
        "Ballintubbert",
        "Ballybrittas",
        "Ballybrophy",
        "Ballyfin",
        "Ballylynan",
        "Ballyroan",
        "Borris-in-Ossory",
        "Camross",
        "Castletown",
        "Clonaslee",
        "Coolrain",
        "Crettyard",
        "Donaghmore",
        "Durrow",
        "Emo",
        "Errill",
        "Graiguecullen",
        "Killenard",
        "Killeshin",
        "Mountmellick",
        "Mountrath",
        "Newtown",
        "Portarlington",
        "Portlaoise",
        "Rathdowney",
        "Rosenallis",
        "Stradbally",
        "Timahoe",
        "Wolfhill",
    ],
    "leitrim": [
        "Castlegal",
        "Aghacashel",
        "Aughavas",
        "Ballinagleragh",
        "Ballinamore",
        "Carrick-on-Shannon",
        "Carrigallen",
        "Cloone",
        "Corriga",
        "Dowra",
        "Dromahair",
        "Dromod",
        "Drumkeeran",
        "Drumshanbo",
        "Drumsna",
        "Fenagh",
        "Glenade",
        "Glencar",
        "Glenfarne",
        "Gortletteragh",
        "Keshcarrigan",
        "Killarga",
        "Kinlough",
        "Largydonnell",
        "Leckaun",
        "Leitrim",
        "Manorhamilton",
        "Mohill",
        "Newtowngore",
        "Rossinver",
        "Tullaghan",
    ],
    "limerick": [
        "Abbeyfeale",
        "Adare",
        "Annacotty",
        "Ardagh",
        "Ardpatrick",
        "Askeaton",
        "Athea",
        "Ballagh",
        "Ballinacurra",
        "Ballingarry",
        "Ballyagran",
        "Ballyclough",
        "Ballyhahill",
        "Ballylanders",
        "Ballynanty",
        "Ballyneety",
        "Ballysheedy",
        "Ballysimon",
        "Ballysteen",
        "Banogue",
        "Boher",
        "Broadford",
        "Bruff",
        "Bruree",
        "Caherconlish",
        "Caherdavin",
        "Cappagh",
        "Cappamore",
        "Carrigkerry",
        "Castleconnell",
        "Castletroy",
        "Charleville",
        "Clareview",
        "Clarina",
        "Clonmacken",
        "Corbally",
        "Crecora",
        "Croom",
        "Crossagalla",
        "Doon",
        "Dooradoyle",
        "Drombanna",
        "Dromcolliher",
        "Elton",
        "Ennis Road",
        "Fedamore",
        "Feenagh",
        "Feohanagh",
        "Foynes",
        "Galbally",
        "Garryowen",
        "Garryspillane",
        "Glin",
        "Granagh",
        "Grange",
        "Herbertstown",
        "Hospital",
        "Janesboro",
        "Kilbehenny",
        "Kilcornan",
        "Kildimo",
        "Kilfinane",
        "Kilfinny",
        "Kilmallock",
        "Kilmeedy",
        "Kilteely",
        "Knocklong",
        "Limerick City",
        "Limerick City Centre",
        "Lisnagry",
        "Loughill",
        "Meanus",
        "Monaleen",
        "Mountcollins",
        "Mungret",
        "Murroe",
        "Newcastle West",
        "North Circular Road",
        "Oola",
        "Pallasgreen",
        "Pallaskenry",
        "Patrickswell",
        "Pennywell",
        "Prospect",
        "Raheen",
        "Rathkeale",
        "Rhebogue",
        "Rossbrien",
        "Shanagolden",
        "South Circular Road",
        "Strand",
        "Templeglantine",
        "Thomondgate",
        "Tournafulla",
    ],
    "longford": [
        "Abbeylara",
        "Ardagh",
        "Aughnacliffe",
        "Ballinalee",
        "Ballinamuck",
        "Ballymahon",
        "Barry",
        "Carrickboy",
        "Colehill",
        "Danesfort",
        "Dring",
        "Drumlish",
        "Edgeworthstown",
        "Granard",
        "Keenagh",
        "Killashee",
        "Killoe",
        "Lanesborough",
        "Legan",
        "Longford",
        "Longford Town",
        "Moydow",
        "Newtowncashel",
        "Newtownforbes",
        "Tarmonbarry",
    ],
    "louth": [
        "Annagassan",
        "Ardee",
        "Ballymakenny",
        "Baltray",
        "Blackrock",
        "Carlingford",
        "Castlebellingham",
        "Clogherhead",
        "Collon",
        "Drogheda",
        "Dromin",
        "Dromiskin",
        "Dundalk",
        "Dunleer",
        "Faughart",
        "Greenore",
        "Jenkinstown",
        "Louth",
        "Monasterboice",
        "Omeath",
        "Ravensdale",
        "Riverstown",
        "Stabannan",
        "Tallanstown",
        "Termonfeckin",
        "Togher",
        "Tullyallen",
    ],
    "mayo": [
        "Achill",
        "Aghamore",
        "Aghleam",
        "Attymass",
        "Balla",
        "Ballina",
        "Ballindine",
        "Ballinrobe",
        "Ballintubber",
        "Ballycastle",
        "Ballycroy",
        "Ballyglass",
        "Ballyhaunis",
        "Ballyhean",
        "Ballytoohy",
        "Ballyvary",
        "Bangor Erris",
        "Barnatra",
        "Bekan",
        "Belcarra",
        "Bellacorick",
        "Belmullet",
        "Bofeenaun",
        "Bohola",
        "Bonniconlon",
        "Breaffy",
        "Brickeens",
        "Carracastle",
        "Carraholly",
        "Castlebar",
        "Charlestown",
        "Claremorris",
        "Clogher",
        "Cloonkeen",
        "Cong",
        "Cross",
        "Crossmolina",
        "Doocastle",
        "Dooyork",
        "Foxford",
        "Geesala",
        "Glencorrib",
        "Glenisland",
        "Hollymount",
        "Irishtown",
        "Islandeady",
        "Kilkelly",
        "Killala",
        "Kilmaine",
        "Kilmovee",
        "Kiltimagh",
        "Knock",
        "Knockmore",
        "Lahardaun",
        "Louisburgh",
        "Manulla",
        "Mayo",
        "Mulranny",
        "Newport",
        "Park",
        "Partry",
        "Pontoon",
        "Porturlin",
        "Ross Port",
        "Roundfort",
        "Shrule",
        "Swinford",
        "Tourmakeady",
        "Turlough",
        "Westport",
        "Westport Quay",
    ],
    "meath": [
        "Ardcath",
        "Ardee",
        "Ashbourne",
        "Athboy",
        "Athlumney",
        "Ballinabrackey",
        "Ballivor",
        "Bellewstown",
        "Bettystown",
        "Bohermeen",
        "Carlanstown",
        "Carnaross",
        "Castlejordan",
        "Castletown",
        "Clonalvy",
        "Clonard",
        "Clonee",
        "Collon",
        "Donacarney",
        "Drogheda",
        "Drumconrath",
        "Drumone",
        "Drumree",
        "Duleek",
        "Dunboyne",
        "Dunsany",
        "Dunshaughlin",
        "Enfield",
        "Fordstown",
        "Garristown",
        "Gormanston",
        "Grangegeeth",
        "Julianstown",
        "Kells",
        "Kilbride",
        "Kilcloon",
        "Kilcock",
        "Kildalkey",
        "Kilmainhamwood",
        "Kilmessan",
        "Kilskeer",
        "Kingscourt",
        "Laytown",
        "Lobinstown",
        "Longwood",
        "Mornington",
        "Moynalty",
        "Naul",
        "Navan",
        "Oldcastle",
        "Rathcore",
        "Rathmolyon",
        "Ratoath",
        "Slane",
        "Stamullen",
        "Summerhill",
        "Tara",
        "The Ward",
        "Trim",
        "Wilkinstown",
    ],
    "monaghan": [
        "Annayalla",
        "Ballinode",
        "Ballybay",
        "Carrickmacross",
        "Castleblayney",
        "Clones",
        "Drum",
        "Emyvale",
        "Glaslough",
        "Inniskeen",
        "Laragh",
        "Monaghan",
        "Newbliss",
        "Rockcorry",
        "Scotstown",
        "Smithborough",
        "Threemilehouse",
    ],
    "offaly": [
        "Ballinahowen",
        "Ballyboy",
        "Ballycumber",
        "Banagher",
        "Belmont",
        "Birr",
        "Bracknagh",
        "Cadamstown",
        "Clara",
        "Cloghan",
        "Clonbullogue",
        "Clonfanlough",
        "Daingean",
        "Edenderry",
        "Ferbane",
        "Geashill",
        "Kilcormac",
        "Killeigh",
        "Killyon",
        "Kinnitty",
        "Moneygall",
        "Mountbolus",
        "Portarlington",
        "Rahan",
        "Rhode",
        "Screggan",
        "Shannon Harbour",
        "Shannonbridge",
        "Tullamore",
        "Walsh Island",
    ],
    "roscommon": [
        "Arigna",
        "Athleague",
        "Athlone",
        "Ballaghaderreen",
        "Ballinameen",
        "Ballinasloe",
        "Ballinlough",
        "Ballintubber",
        "Ballyforan",
        "Ballyleague",
        "Ballymurray",
        "Boyle",
        "Brideswell",
        "Carrick-on-Shannon",
        "Castlecoote",
        "Castlerea",
        "Cloonfad",
        "Cloverhill",
        "Cootehall",
        "Cornafulla",
        "Corrigeenroe",
        "Creggs",
        "Croghan",
        "Curraghboy",
        "Curraghroe",
        "Dysart",
        "Elphin",
        "Fairymount",
        "Four Mile House",
        "Four Roads",
        "Frenchpark",
        "Fuerty",
        "Keadue",
        "Kilglass",
        "Kilrooskey",
        "Kilteevan",
        "Kiltoom",
        "Knockcroghery",
        "Lanesborough",
        "Lecarrow",
        "Lisacul",
        "Loughglynn",
        "Mount Talbot",
        "Rahara",
        "Rooskey",
        "Roscommon Town",
        "Scramoge",
        "Strokestown",
        "Tarmonbarry",
        "Tibohine",
        "Tulsk",
        "Whitehall",
    ],
    "sligo": [
        "Ballinafad",
        "Ballinfull",
        "Ballinode",
        "Ballintogher",
        "Ballisodare",
        "Ballymote",
        "Bellaghy",
        "Bellahy",
        "Boyle",
        "Calry",
        "Carney",
        "Carraroe",
        "Cashelgarran",
        "Castlebaldwin",
        "Cliffoney",
        "Cloonacool",
        "Collooney",
        "Coolaney",
        "Culfadda",
        "Culleens",
        "Curry",
        "Dromard",
        "Dromore West",
        "Drumcliff",
        "Drumfin",
        "Easkey",
        "Enniscrone",
        "Geevagh",
        "Glencar",
        "Grange",
        "Gurteen",
        "Kesh",
        "Kilglass",
        "Kilmacowen",
        "Monasteraden",
        "Mullaghmore",
        "Ransboro",
        "Rathcormac",
        "Rathlee",
        "Riverstown",
        "Rosses Point",
        "Skreen",
        "Sligo",
        "Strandhill",
        "Templeboy",
        "Tourlestrane",
        "Tubbercurry",
    ],
    "tipperary": [
        "Aherlow",
        "Ardfinnan",
        "Ballina",
        "Ballingarry",
        "Ballinure",
        "Ballycahill",
        "Ballycommon",
        "Ballylooby",
        "Ballypatrick",
        "Ballyporeen",
        "Birdhill",
        "Birr",
        "Borrisokane",
        "Borrisoleigh",
        "Cahir",
        "Cappagh White",
        "Cappawhite",
        "Carrick-on-Suir",
        "Carrigatogher",
        "Cashel",
        "Clogheen",
        "Clonmel",
        "Cloughjordan",
        "Cullen",
        "Donaskeagh",
        "Donohill",
        "Dundrum",
        "Emly",
        "Fethard",
        "Glen of Aherlow",
        "Golden",
        "Gortnahoo",
        "Grangemockler",
        "Holycross",
        "Kilcash",
        "Killenaule",
        "Kilross",
        "Kilsheelan",
        "Lattin",
        "Limerick Junction",
        "Lorrha",
        "Loughmoe",
        "Moyne",
        "Mullinahone",
        "Nenagh",
        "Newcastle",
        "Newport",
        "Newtown",
        "Rathcabbin",
        "Roscrea",
        "Silvermines",
        "Templederry",
        "Templemore",
        "Templetuohy",
        "Terryglass",
        "Thurles",
        "Tipperary Town",
        "Toomevara",
        "Twomileborris",
        "Upperchurch",
    ],
    "tyrone": ["Carrickmore", "Castlederg", "Dungannon", "Omagh", "Strabane"],
    "waterford": [
        "Annestown",
        "Ardkeen",
        "Ardmore",
        "Ballinamona",
        "Ballinamult",
        "Ballyduff",
        "Ballygunner",
        "Ballymacarbry",
        "Bunmahon",
        "Butlerstown",
        "Cappoquin",
        "Carrick-on-Suir",
        "Carrigeen",
        "Cheekpoint",
        "Clashmore",
        "Clonmel",
        "Dungarvan",
        "Dunhill",
        "Dunmore East",
        "Faithlegg",
        "Fenor",
        "Ferrybank",
        "Gracedieu",
        "Grantstown",
        "Kilgobnet",
        "Kilmacthomas",
        "Kilmeadan",
        "Knockanore",
        "Lemybrien",
        "Lismore",
        "Passage East",
        "Portlaw",
        "Rathgormack",
        "Ring",
        "Ringville",
        "Stradbally",
        "Tallow",
        "Templemichael",
        "Tramore",
        "Villierstown",
        "Waterford",
        "Waterford City",
        "Waterford City Centre",
        "Woodstown",
        "Youghal",
    ],
    "westmeath": [
        "Athlone",
        "Ballinagore",
        "Ballinahown",
        "Ballinalack",
        "Ballymore",
        "Ballynacarrigy",
        "Bracklin",
        "Castlepollard",
        "Castletown-Geoghegan",
        "Cloghan",
        "Cloncullen",
        "Clonmellon",
        "Collinstown",
        "Coole",
        "Coralstown",
        "Crookedwood",
        "Delvin",
        "Drumcree",
        "Finea",
        "Fore",
        "Glasson",
        "Kilbeggan",
        "Killucan",
        "Kinnegad",
        "Loughanavalley",
        "Moate",
        "Moyvore",
        "Moyvoughly",
        "Mullingar",
        "Multyfarnham",
        "Raharney",
        "Rathconrath",
        "Rathowen",
        "Rochfortbridge",
        "Tang",
        "Tyrellspass",
    ],
    "wexford": [
        "Adamstown",
        "Ardamine",
        "Arthurstown",
        "Ballaghkeen",
        "Ballycanew",
        "Ballycarney",
        "Ballycullane",
        "Ballyedmond",
        "Ballyfad",
        "Ballygarrett",
        "Ballymitty",
        "Ballymoney",
        "Ballymurn",
        "Ballywilliam",
        "Bannow",
        "Barntown",
        "Blackwater",
        "Boolavogue",
        "Bridgetown",
        "Broadway",
        "Bunclody",
        "Camolin",
        "Campile",
        "Camross",
        "Carne",
        "Carrick",
        "Castlebridge",
        "Castletown",
        "Cleariestown",
        "Clonard",
        "Clonroche",
        "Coolgreany",
        "Courtown",
        "Craanford",
        "Crossabeg",
        "Curracloe",
        "Duncannon",
        "Duncormick",
        "Enniscorthy",
        "Ferns",
        "Fethard",
        "Fethard-On-Sea",
        "Foulksmills",
        "Glynn",
        "Gorey",
        "Gusserane",
        "Hilltown",
        "Inch",
        "Killanne",
        "Killenagh",
        "Killinick",
        "Killurin",
        "Kilmore",
        "Kilmore Quay",
        "Kilmuckridge",
        "Kilrane",
        "Mayglass",
        "Monamolin",
        "Monaseed",
        "Mulgannon",
        "Murrintown",
        "New Ross",
        "Newbawn",
        "Newtown",
        "Oilgate",
        "Oulart",
        "Our Ladys Island",
        "Piercestown",
        "Poulshone",
        "Ramsgrange",
        "Riverchapel",
        "Rosslare Harbour",
        "Rosslare Strand",
        "Scarnagh",
        "Screen",
        "Tacumshane",
        "Taghmon",
        "Tagoat",
        "Tara Hill",
        "The Ballagh",
        "Wellington Bridge",
        "Wexford Town",
        "Whiterock",
    ],
    "wicklow": [
        "Arklow",
        "Ashford",
        "Aughrim",
        "Avoca",
        "Ballinaclash",
        "Baltinglass",
        "Blainroe",
        "Blessington",
        "Bray",
        "Brittas Bay",
        "Carnew",
        "Clara",
        "Clonegal",
        "Delgany",
        "Donard",
        "Dunlavin",
        "Enniskerry",
        "Glendalough",
        "Glenealy",
        "Grange Con",
        "Greystones",
        "Hollywood",
        "Kilbride",
        "Kilcoole",
        "Kilmacanogue",
        "Kilmacurragh",
        "Kilpedder",
        "Kilquade",
        "Kiltegan",
        "Knockananna",
        "Lacken",
        "Laragh",
        "Newcastle",
        "Newtownmountkennedy",
        "Rathdangan",
        "Rathdrum",
        "Rathnew",
        "Redcross",
        "Roundwood",
        "Shillelagh",
        "Stratford",
        "Stratford-on-Slaney",
        "Tinahely",
        "Tullow",
        "Wicklow Town",
        "Woodenbridge",
    ],
}


PROPERTY_IE_PROPERTY_TYPES = [
    "Detached House",
    "Semi-Detached House",
    "Apartment For Sale",
    "End of Terrace House",
    "Terraced House",
    "Townhouse",
    "Duplex For Sale",
    "Bungalow For Sale",
    # TODO: find if there are more
]
